<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.qmth.sop.task</groupId>
    <artifactId>sop-task</artifactId>
    <version>1.0.0.1</version>
    <packaging>jar</packaging>

    <parent>
        <groupId>com.qmth.sop.service</groupId>
        <artifactId>sop-service</artifactId>
        <version>1.0.0.1</version>
    </parent>

    <dependencies>
        <dependency>
            <groupId>com.qmth.sop.business</groupId>
            <artifactId>sop-business</artifactId>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.qmth.teachcloud.report.business</groupId>-->
<!--            <artifactId>teachcloud-report-business</artifactId>-->
<!--        </dependency>-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-quartz</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <version>${spring-boot.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.6.2</version>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>com.spotify</groupId>
                <artifactId>dockerfile-maven-plugin</artifactId>
                <version>1.4.12</version>
                <configuration>
                    <repository>registry.cn-shenzhen.aliyuncs.com/sop_task</repository>
                    <tag>${project.version}</tag>
                    <contextDirectory>${project.baseDir}</contextDirectory>
                    <useMavenSettingsForAuth>true</useMavenSettingsForAuth>
                    <pullNewerImage>true</pullNewerImage>
                    <buildArgs>
                        <JAR_FILE>target/${project.build.finalName}.jar</JAR_FILE>
                    </buildArgs>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
